'use strict';

var _chai = require('chai');

var _nock = require('nock');

var _nock2 = _interopRequireDefault(_nock);

var _dist = require('../dist');

var _dist2 = _interopRequireDefault(_dist);

var _utils = require('./utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint no-unused-expressions: 0 */
describe('delete', function () {
  it('user1', function (done) {
    (0, _nock2.default)(_utils.ROOT, {
      reqheaders: {
        'X-My-Headers': '1'
      }
    }).defaultReplyHeaders({
      'X-Powered-By': 'nock'
    }).delete('/user').query({
      uid: 1
    }).reply(200, {
      name: 'user1'
    });
    (0, _dist2.default)({
      url: _utils.ROOT + '/user',
      method: 'delete',
      query: {
        uid: 1
      },
      headers: {
        'X-My-Headers': '1'
      },
      mergeHeaders: {
        poweredBy: 'X-Powered-By'
      }
    }).send().then(function (res) {
      (0, _chai.expect)(res.name).to.equal('user1');
      (0, _chai.expect)(res.poweredBy).to.equal('nock');
      done();
    }).catch(function (err) {
      console.log(err);
    });
  });
});
//# sourceMappingURL=delete.spec.js.map