'use strict';

var _chai = require('chai');

var _nock = require('nock');

var _nock2 = _interopRequireDefault(_nock);

var _dist = require('../dist');

var _dist2 = _interopRequireDefault(_dist);

var _utils = require('./utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint no-unused-expressions: 0 */
describe('error: 2', function () {
  it('promise style', function (done) {
    (0, _nock2.default)(_utils.ROOT).get('/error2').reply(500, {
      status: 0
    });
    var fetchConfig = {
      url: _utils.ROOT + '/error2'
    };
    var errorHandler = function errorHandler(res) {
      (0, _chai.expect)(res).to.be.an('error');
      (0, _chai.expect)(res.status).to.equal(2);
      (0, _chai.expect)(res.httpStatus).to.equal(500);
    };
    (0, _dist2.default)(fetchConfig).send().catch(errorHandler).then(function () {
      done();
    }).catch(function (err) {
      console.log(err);
    });
  });

  it('callback style', function (done) {
    (0, _nock2.default)(_utils.ROOT).get('/error2').reply(500, {
      status: 0
    });
    var fetchConfig = {
      url: _utils.ROOT + '/error2'
    };
    var errorHandler = function errorHandler(res) {
      (0, _chai.expect)(res).to.be.an('error');
      (0, _chai.expect)(res.status).to.equal(2);
      (0, _chai.expect)(res.httpStatus).to.equal(500);
    };
    (0, _dist2.default)(Object.assign({}, fetchConfig, {
      error: errorHandler
    })).send().then(function () {
      done();
    }).catch(function (err) {
      console.log(err);
    });
  });
});
//# sourceMappingURL=error2.spec.js.map